Bug 1213 - user account delete error
user account delete error
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.2a
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-24 22:32 UTC by Nikolay A Mirin
Modified: 2005-08-24 10:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolay A Mirin 2004-03-24 22:32:13 UTC
When I try to delete a domain user using User Manager or rpcclient
it happens, that it calls the script from "delete user script = ",
which removes the user from /etc/passwd by userdel command.
After that it fails to remove that user from passdb.tdb  .
With NT_STATUS_CANNOT_DELETE error code.

However, everything is fine, except annoying error message, but
right now I am using "at" to schedule the removal after 1 min., rather than do 
it immediately in the script.
Comment 1 Gerald (Jerry) Carter 2005-02-08 20:44:15 UTC
this should be fixed in 3.0.11 (or an earlier release).
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:27:08 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.